Bug 737290 - [abrt] calibre-0.8.0-1.fc15: _mechanize.py:255:_mech_open:httperror_seek_wrapper: HTTP Error 404: Not Found
Summary: [abrt] calibre-0.8.0-1.fc15: _mechanize.py:255:_mech_open:httperror_seek_wrap...
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: calibre
Version: 15
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:01b9f4c92201a4c144d3296ff28...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-10 18:20 UTC by Rakesh Jain
Modified: 2012-08-07 19:55 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 19:55:34 UTC


Attachments (Terms of Use)
screen shot of the page [http://businessworldindia.com/bw/Magazine_Current_Issue] (371.33 KB, image/png)
2011-09-11 08:48 UTC, Rakesh Jain
no flags Details


Links
System ID Priority Status Summary Last Updated
Launchpad 848431 None None None Never

Description Rakesh Jain 2011-09-10 18:20:23 UTC
abrt version: 2.0.3
architecture:   x86_64
cmdline:        python2 /usr/bin/calibre-parallel
comment:        used calibre to download business world mag ...
component:      calibre
executable:     /usr/bin/calibre-parallel
kernel:         2.6.40.3-0.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        calibre-0.8.0-1.fc15
reason:         _mechanize.py:255:_mech_open:httperror_seek_wrapper: HTTP Error 404: Not Found
time:           Sat Sep 10 23:47:55 2011
uid:            500
username:       rakesh

backtrace:
:_mechanize.py:255:_mech_open:httperror_seek_wrapper: HTTP Error 404: Not Found
:
:Traceback (most recent call last):
:  File "/usr/bin/calibre-parallel", line 19, in <module>
:    sys.exit(main())
:  File "/usr/lib64/calibre/calibre/utils/ipc/worker.py", line 118, in main
:    result = func(*args, **kwargs)
:  File "/usr/lib64/calibre/calibre/gui2/convert/gui_conversion.py", line 25, in gui_convert
:    plumber.run()
:  File "/usr/lib64/calibre/calibre/ebooks/conversion/plumber.py", line 920, in run
:    accelerators, tdir)
:  File "/usr/lib64/calibre/calibre/customize/conversion.py", line 204, in __call__
:    log, accelerators)
:  File "/usr/lib64/calibre/calibre/web/feeds/input.py", line 104, in convert
:    ro.download()
:  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 735, in download
:    res = self.build_index()
:  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 872, in build_index
:    feeds = feeds_from_index(self.parse_index(), oldest_article=self.oldest_article,
:  File "/tmp/calibre_0.8.0_tmp_fVCPpu/calibre_0.8.0_gwoh1z_recipes/recipe0.py", line 49, in parse_index
:    soup = self.index_to_soup(self.INDEX)
:  File "/usr/lib64/calibre/calibre/web/feeds/news.py", line 496, in index_to_soup
:    with closing(open_func(url_or_raw)) as f:
:  File "/usr/lib/python2.7/site-packages/mechanize/_mechanize.py", line 199, in open_novisit
:    return self._mech_open(url, data, visit=False, timeout=timeout)
:  File "/usr/lib/python2.7/site-packages/mechanize/_mechanize.py", line 255, in _mech_open
:    raise response
:httperror_seek_wrapper: HTTP Error 404: Not Found
:
:Local variables in innermost frame:
:success: False
:url: 'http://www.businessworld.in/bw/Magazine_Current_Issue'
:visit: False
:self: <calibre.utils.browser.Browser instance at 0x3238320>
:request: <mechanize._request.Request instance at 0x3226a28>
:authority: 'www.businessworld.in'
:update_history: True
:timeout: <object object at 0x1d030a0>
:error: <httperror_seek_wrapper (urllib2.HTTPError instance) at 0x3a78a10 whose wrapped object = <closeable_response at 0x322f6c8 whose fp = <response_seek_wrapper at 0x322fa28 whose wrapped object = <closeable_response at 0x322f440 whose fp = <socket._fileobject object at 0x3a7ecd0>>>>>
:scheme: 'http'
:data: None
:response: <httperror_seek_wrapper (urllib2.HTTPError instance) at 0x3a78b48 whose wrapped object = <closeable_response at 0x322f6c8 whose fp = <response_seek_wrapper at 0x322fa28 whose wrapped object = <closeable_response at 0x322f440 whose fp = <socket._fileobject object at 0x3a7ecd0>>>>>

Comment 1 Kevin Fenzi 2011-09-10 20:07:22 UTC
That hostname doesn't exist anymore. ;( 

I'll see about reporting it to upstream to remove. Do you have an updated link? 
Or would you be willing to ask upstream to remove it?

Comment 2 Rakesh Jain 2011-09-11 08:48:35 UTC
Created attachment 522599 [details]
screen shot of the page [http://businessworldindia.com/bw/Magazine_Current_Issue]

Comment 3 Rakesh Jain 2011-09-11 08:51:31 UTC
the page does exist [http://businessworldindia.com/bw/Magazine_Current_Issue] .. go directly by copying the url [http://businessworldindia.com/bw/Magazine_Current_Issue] .. staragnely when you click on the embedded link it takes you to [http://businessworldindia.com//Magazine_Current_Issue] <the bw removed in the url and hence you get 404> not sure why the <bw is stripped off> .. go to directly by pasting the url [http://businessworldindia.com/bw/Magazine_Current_Issue]

Comment 4 Rakesh Jain 2011-09-11 14:04:28 UTC
I get it .. did not see that I was being redirected 

from http://www.businessworld.in/
to http://businessworldindia.com/

so the new address for that page is as below ..

http://businessworldindia.com/bw/Magazine_Current_Issue

Comment 5 Kevin Fenzi 2011-09-12 23:57:37 UTC
Filed upstream as: 
https://bugs.launchpad.net/calibre/+bug/848431

Comment 6 Fedora End Of Life 2012-08-07 19:55:36 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.